<?php
defined('ABSPATH') or die();
/**
 * @package WordPress
 * @subpackage Petro Theme Core
 * @since Petro Theme Core 1.0.4
 */


class BuilderElement_petro_optin extends BuilderElement{

    function preview($atts, $content = null) {

      return $this->render($atts, $content);
    }

    function render($atts, $content = null, $base=''){

        if (!isset($compile)) {$compile='';}

        extract(shortcode_atts(array(
            'layout'=> '',
            'el_id'=>'',
            'el_class'=>'',
        ), $atts, 'petro_optin'));

     $class=array('petro_optin');
     $atts['before_form']= $atts['after_form'] = '';

    if(''!=$el_class){
         array_push($class, $el_class);
     }

     $css_style=getElementCssMargin($atts);

     if(''==$el_id){
            $el_id="element_".getElementTagID();
     }
     
     if(''!=$css_style){
           add_page_css_style("#$el_id {".$css_style."}");
      }

      nuno_add_element_margin_style("#$el_id",$atts);

      $compile="<div id=\"".$el_id."\" class=\"".@implode(" ",$class)."\">";

      ob_start();

      the_widget( 'petro_Optin', $atts, array( 'widget_id'=>"widget-".$el_id, 'before_title' => '', 'after_title' => '') );
      $compile .= ob_get_clean();

      $compile.="</div>";


     return  $compile;


    }

}


add_builder_element('petro_optin',
 array( 
    'title' => esc_html__( 'Optin Form', 'petro' ),
    'icon'  =>'fa fa-envelope-open-o',
    'color' =>'#041e42',
    'order'=>35,
    'class' => '',
    'options' => array(
          array( 
          'heading' => esc_html__( 'Extra css Class', 'petro' ),
          'param_name' => 'el_class',
          'type' => 'textfield',
          'value'=>"",
          ),
        array( 
          'heading' => esc_html__( 'Anchor ID', 'petro' ),
          'param_name' => 'el_id',
          'type' => 'textfield',
          "description" => esc_html__("Enter anchor ID without pound '#' sign", "petro"),
        ),
      array( 
        'heading' => esc_html__( 'Layout Type', 'petro_core_module' ),
        'param_name' => 'layout',
        'admin_label'=>false,
        'value' => array('vertical'=>esc_html__('Vertical','petro_core_module'),'horizontal'=>esc_html__('Horizontal','petro_core_module')),
        'default' => "vertical",
        'type' => 'radio',
         ),
        array( 
        'heading' => esc_html__('Show Name','petro_core_module' ),
        'param_name' => 'show_name',
        'class' => '',
        'value' => '',
        'type' => 'check'
         ), 
        array( 
          'heading' => esc_html__('Optin code:','petro_core_module' ),
          'param_name' => 'optin_form',
          'value' => '',
          'type' => 'textarea',
          'description' => esc_html__( 'Put optin code from your provider, usualy strarting with form tag without javascript code.', 'petro_core_module' ),
         ), 

      array( 
          'heading' => esc_html__( 'Top', 'petro' ),
          'param_name' => 'm_top',
          'param_holder_class'=>'m_top',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Bottom', 'petro' ),
          'param_name' => 'm_bottom',
          'param_holder_class'=>'m_bottom',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Left', 'petro' ),
          'param_name' => 'm_left',
          'param_holder_class'=>'m_left',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Right', 'petro' ),
          'param_name' => 'm_right',
          'param_holder_class'=>'m_right',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Margin Mobile', 'petro' ),
          'description' => esc_html__( 'This optional for screen up to 480px.', 'petro' ),
          'param_name' => 'margin_mobile',
          'type' => 'heading',
          'group'=>esc_html__('Margin', 'petro'),
        ),
         array( 
          'heading' => esc_html__( 'Top', 'petro' ),
          'param_name' => 'm_xs_top',
          'param_holder_class'=>'m_top',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Bottom', 'petro' ),
          'param_name' => 'm_xs_bottom',
          'param_holder_class'=>'m_bottom',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Left', 'petro' ),
          'param_name' => 'm_xs_left',
          'param_holder_class'=>'m_left',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Right', 'petro' ),
          'param_name' => 'm_xs_right',
          'param_holder_class'=>'m_right',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Margin Tablet', 'petro' ),
          'description' => esc_html__( 'This optional for screen up to 992px.', 'petro' ),
          'param_name' => 'margin_tablet',
          'type' => 'heading',
          'group'=>esc_html__('Margin', 'petro'),
        ),
         array( 
          'heading' => esc_html__( 'Top', 'petro' ),
          'param_name' => 'm_sm_top',
          'param_holder_class'=>'m_top',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Bottom', 'petro' ),
          'param_name' => 'm_sm_bottom',
          'param_holder_class'=>'m_bottom',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Left', 'petro' ),
          'param_name' => 'm_sm_left',
          'param_holder_class'=>'m_left',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        ),
        array( 
          'heading' => esc_html__( 'Right', 'petro' ),
          'param_name' => 'm_sm_right',
          'param_holder_class'=>'m_right',
          'type' => 'textfield',
          'group'=>esc_html__('Margin', 'petro'),
        )
        )
 ) );

?>
